﻿@model Schedule.Application.ViewModel.PerfilViewModel

@{
    ViewData["Title"] = "View";
}

<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">
            <h4>Editar Perfil</h4>
        </div>
    </div>
</div>
<hr />
<br />
<div class="container-fluid">
    <div class="row">
        <div class="col-md-4">

            <form asp-action="Editar">
                @Html.HiddenFor(e => e.id)

                <div class="form-group">
                    <label asp-for="Grupo" class="control-label">Grupo:</label>

                    <input asp-for="Grupo" class="form-control form-control-sm"  maxlength="20" value="@Model.Grupo" placeholder="Digite o Grupo..." required />
                    <span asp-validation-for="Grupo" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Nome" class="control-label"> @ScheduleResorce.RetornaValor("LabelDescricao"):</label>
                    <input asp-for="Nome" class="form-control form-control-sm"  maxlength="50" value="@Model.Nome" placeholder="Digite a @ScheduleResorce.RetornaValor("LabelDescricao")..." required />
                    <span asp-validation-for="Nome" class="text-danger"></span>
                </div>
                <br />
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <br />
                <div  class="form-group">
                    <input type="submit" value="Salvar" class="btn btn-primary" />
                    <a asp-action="Index" class="btn btn-danger">Voltar</a>
                </div>
            </form>
        </div>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}

}
